package cn.wustlinghang.wusthelper.internal.undergrad.api.json.handler;

import cn.wustlinghang.mywust.exception.ApiException;
import cn.wustlinghang.wusthelper.rpc.response.ResponseCode;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;

@Provider
public class ApiExceptionHandler extends ExceptionHandlerBase implements ExceptionMapper<ApiException> {
    @Override
    public Response toResponse(ApiException e) {
        return super.toResponse(e.getCodeValue(), e.toString(), "ApiExceptionHandler");
    }
}
